
######################################################################

# If INTERACTIVE is 1, you will be able to use tcl interactively from
# the command line. However, you must set TCL_LIBRARY_REAL to the correct
# directory (to find this: echo 'puts $tcl_library' | tclsh)
INTERACTIVE=0
TCL_LIBRARY_REAL=/usr/local/tcl-7.5b3/lib/tcl7.5

######################################################################

[ "x$DEET_LIBRARY" = "x" ] && DEET_LIBRARY=$LIBDIR

[ ! -d $DEET_LIBRARY ] && [ -d `dirname $0`/lib ] && \
	DEET_LIBRARY=`dirname $0`/lib

if [ ! -d $DEET_LIBRARY ] 
then
	echo "Cannot find deet library in $DEET_LIBRARY"
	exit 1
fi

if [ ! -d $DEET_LIBRARY/$DEET_NUB ] 
then
	echo "Cannot find deet nub in $DEET_LIBRARY/$DEET_NUB"
	exit 1
fi

set -- $*
DEET_TARGET="$1" 
[ "x$1" != "x" ] && shift
DEET_ARGS="$*"

export DEET_NUB DEET_LIBRARY DEET_TARGET DEET_ARGS

if [ "x$INTERACTIVE" = "x1" ]
then
	TCL_LIBRARY=$DEET_LIBRARY
	export TCL_LIBRARY_REAL TCL_LIBRARY
else
	arg=$DEET_LIBRARY/start.tcl
fi

exec $WISH $arg
